Index: LMDZ6/trunk/libf/dyn3d/abort_gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/abort_gcm.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/abort_gcm.F90	(revision 5282)
@@ -6,9 +6,9 @@
 SUBROUTINE abort_gcm(modname, message, ierr)
 
-  USE IOIPSL
+  USE iniprint_mod_h
+USE IOIPSL
   !! ug Pour les sorties XIOS
   USE wxios
 
-INCLUDE "iniprint.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3d/advtrac.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/advtrac.f90	(revision 5282)
@@ -9,4 +9,5 @@
    !            M.A Filiberti (04/2002)
    !
+   USE iniprint_mod_h
    USE comgeom2_mod_h
    USE comdissip_mod_h
@@ -22,7 +23,4 @@
    !
 
-
-   include "description.h"
-   include "iniprint.h"
 
    !---------------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/bilan_dyn.f90	(revision 5282)
@@ -10,4 +10,5 @@
   !             vQ..A=Cp T + L * ...
 
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE IOIPSL
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
 
   !====================================================================
Index: LMDZ6/trunk/libf/dyn3d/conf_gcm.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/conf_gcm.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE conf_gcm( tapedef, etatinit )
 
+  USE iniprint_mod_h
   USE comdissnew_mod_h
   USE control_mod
@@ -39,5 +40,4 @@
 
 
-  include "iniprint.h"
 
   !   local:
Index: LMDZ6/trunk/libf/dyn3d/dynetat0.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/dynetat0.f90	(revision 5282)
@@ -6,4 +6,5 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName, &
@@ -31,7 +32,5 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
Index: LMDZ6/trunk/libf/dyn3d/dynredem.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/dynredem.f90	(revision 5282)
@@ -23,10 +23,8 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comgeom2_mod_h
+  USE iniprint_mod_h
 IMPLICIT NONE
 
-
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
@@ -174,10 +172,9 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comgeom_mod_h
+  USE iniprint_mod_h
 IMPLICIT NONE
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom              !-- FILE NAME
Index: LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/fluxstokenc.f90	(revision 5282)
@@ -6,5 +6,6 @@
   ! This routine is designed to work with ioipsl
 
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
   !
@@ -22,5 +23,4 @@
 
   include "tracstoke.h"
-  include "iniprint.h"
 
   REAL :: time_step,t_wrt, t_ops
Index: LMDZ6/trunk/libf/dyn3d/friction.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/friction.f90	(revision 5282)
@@ -4,4 +4,5 @@
 !=======================================================================
 SUBROUTINE friction(ucov,vcov,pdt)
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE control_mod
@@ -26,5 +27,4 @@
 
 
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3d/gcm.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/gcm.f90	(revision 5282)
@@ -5,4 +5,5 @@
 !
 PROGRAM gcm
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comdissnew_mod_h
@@ -58,6 +59,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "tracstoke.h"
 
@@ -116,5 +115,4 @@
   abort_message = 'last timestep reached'
   modname = 'gcm'
-  descript = 'Run GCM LMDZ'
   lafin    = .FALSE.
   dynhist_file = 'dyn_hist.nc'
Index: LMDZ6/trunk/libf/dyn3d/guide_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/guide_mod.f90	(revision 5282)
@@ -8,4 +8,5 @@
 !            F. Codron 01/09
 !=======================================================================
+    USE iniprint_mod_h
     USE getparam, only: ini_getparam, fin_getparam, getpar
   USE Write_Field
@@ -368,5 +369,4 @@
 
 
-    INCLUDE "iniprint.h"
 
 
Index: LMDZ6/trunk/libf/dyn3d/iniacademic.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/iniacademic.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
@@ -38,5 +39,4 @@
 
   include "academic.h"
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/integrd.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/integrd.f90	(revision 5282)
@@ -7,4 +7,5 @@
         )
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   use control_mod, only : planet_type
@@ -37,5 +38,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/leapfrog.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/leapfrog.F90	(revision 5282)
@@ -6,4 +6,5 @@
 SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,time_0)
   !IM : pour sortir les param. du modele dans un fis. netcdf 110106
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comdissnew_mod_h
@@ -61,6 +62,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/sw_case_williamson91_6.f90	(revision 5282)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comconst_mod, ONLY: cpp, omeg, rad
@@ -40,5 +41,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/top_bound.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/top_bound.F90	(revision 5282)
@@ -4,5 +4,6 @@
 SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
 
-  USE comgeom2_mod_h
+  USE iniprint_mod_h
+USE comgeom2_mod_h
   USE comdissipn_mod_h
 USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound, &
@@ -58,5 +59,4 @@
 
 
-INCLUDE "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d/vlsplt.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d/vlsplt.F90	(revision 5282)
@@ -142,9 +142,9 @@
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
   !
 
 
-  include "iniprint.h"
   !
   !
Index: LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/adaptdt.f90	(revision 5282)
@@ -14,6 +14,4 @@
 
 
-
-  include "description.h"
 
   !----------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d_common/advn.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/advn.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/advn.F90	(revision 5282)
@@ -15,4 +15,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
 
   !
@@ -147,12 +147,10 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
-
-
-  INCLUDE "iniprint.h"
   !
   !
@@ -268,11 +266,9 @@
   !   --------------------------------------------------------------------
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
-  !
-
-
-  INCLUDE "iniprint.h"
+
   !
   !
@@ -367,11 +363,8 @@
   !   --------------------------------------------------------------------
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
-  !
-
-
-  INCLUDE "iniprint.h"
   !
   !
@@ -492,11 +485,11 @@
   !   --------------------------------------------------------------------
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
   !
 
 
-  include "iniprint.h"
   !
   !
@@ -759,4 +752,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -767,5 +761,4 @@
 
 
-  INCLUDE "iniprint.h"
   !
   !
@@ -893,4 +886,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -901,5 +895,4 @@
 
 
-  INCLUDE "iniprint.h"
   !
   !
Index: LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90	(revision 5282)
@@ -53,4 +53,5 @@
   !======================================================================
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE control_mod, ONLY : planet_type
@@ -63,5 +64,4 @@
 
 
-  INCLUDE "iniprint.h"
 
   ! Ehouarn: for now set these parameters to what is in Earth physics...
Index: LMDZ6/trunk/libf/dyn3d_common/disvert.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/disvert.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/disvert.f90	(revision 5282)
@@ -3,4 +3,5 @@
 SUBROUTINE disvert()
 
+  USE iniprint_mod_h
   use ioipsl, only: getin
   use new_unit_m, only: new_unit
@@ -17,5 +18,4 @@
 
 
-  include "iniprint.h"
 
 !-------------------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d_common/disvert_noterre.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/disvert_noterre.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/disvert_noterre.f90	(revision 5282)
@@ -6,4 +6,5 @@
   !    On l'utilise aussi pour Venus et Titan, legerment modifiee.
 
+  USE iniprint_mod_h
   use IOIPSL
 
@@ -20,5 +21,4 @@
 
 
-  include "iniprint.h"
   !
   !=======================================================================
Index: LMDZ6/trunk/libf/dyn3d_common/infotrac.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/infotrac.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/infotrac.f90	(revision 5282)
@@ -117,4 +117,5 @@
 
 SUBROUTINE init_infotrac
+   USE iniprint_mod_h
    USE control_mod, ONLY: planet_type
    USE lmdz_reprobus_wrappers, ONLY: Init_chem_rep_trac
@@ -142,5 +143,4 @@
 ! Declarations:
 
-   INCLUDE "iniprint.h"
 
 !------------------------------------------------------------------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d_common/iniconst.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/iniconst.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/iniconst.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE iniconst
 
+  USE iniprint_mod_h
   USE control_mod
   use IOIPSL
@@ -10,5 +11,5 @@
                           unsim, pi, r, kappa, cpp, dtvr, dtphys
   USE comvert_mod, ONLY: disvert_type, pressure_exner
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
 
   character(len=*),parameter :: modname="iniconst"
Index: LMDZ6/trunk/libf/dyn3d_common/inidissip.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/inidissip.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/inidissip.f90	(revision 5282)
@@ -11,4 +11,5 @@
   !   -------------
 
+  USE iniprint_mod_h
   USE comdissipn_mod_h
   USE control_mod, only : dissip_period,iperiod
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
 
   LOGICAL,INTENT(in) :: lstardis
Index: LMDZ6/trunk/libf/dyn3d_common/initdynav.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/initdynav.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/initdynav.f90	(revision 5282)
@@ -3,4 +3,5 @@
 subroutine initdynav(day0,anne0,tstep,t_ops,t_wrt)
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE IOIPSL
@@ -39,7 +40,4 @@
 
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90	(revision 5282)
@@ -6,5 +6,6 @@
         fileid,filevid,filedid)
 
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
   USE comconst_mod, ONLY: pi
@@ -45,7 +46,4 @@
   !   Declarations
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3d_common/inithist.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/inithist.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/inithist.f90	(revision 5282)
@@ -4,5 +4,6 @@
 subroutine inithist(day0,anne0,tstep,t_ops,t_wrt)
 
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
    USE infotrac, ONLY : nqtot
@@ -44,7 +45,4 @@
   !   Declarations
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3d_common/interpre.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5282)
@@ -17,6 +17,4 @@
 
 
-
-  include "description.h"
 
   !---------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3d_common/sortvarc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/sortvarc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/sortvarc.f90	(revision 5282)
@@ -6,4 +6,5 @@
         vcov )
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE control_mod, ONLY: resetvarc
@@ -36,5 +37,4 @@
 
 
-  INCLUDE "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/traceurpole.f90	(revision 5282)
@@ -11,7 +11,4 @@
 implicit none
 
-
-
-  include "description.h"
 
 
Index: LMDZ6/trunk/libf/dyn3d_common/writedynav.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/writedynav.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/writedynav.f90	(revision 5282)
@@ -3,4 +3,5 @@
 subroutine writedynav(time, vcov, ucov, teta, ppk, phi, q, masse, ps, phis)
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE ioipsl
@@ -33,7 +34,4 @@
   !   Declarations
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3d_common/writehist.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3d_common/writehist.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3d_common/writehist.f90	(revision 5282)
@@ -3,4 +3,5 @@
 !
 subroutine writehist(time,vcov,ucov,teta,phi,q,masse,ps,phis)
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE ioipsl
@@ -35,7 +36,4 @@
   !
   !   Declarations
-
-  include "description.h"
-  include "iniprint.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/abort_gcm.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/abort_gcm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/abort_gcm.f90	(revision 5282)
@@ -6,8 +6,8 @@
 SUBROUTINE abort_gcm(modname, message, ierr)
 
+  USE iniprint_mod_h
   USE IOIPSL
 
   USE parallel_lmdz
-  INCLUDE "iniprint.h"
 
   !
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5282)
@@ -30,6 +30,5 @@
 
 
-   include "description.h"
-!   include "iniprint.h"
+   !   include "iniprint.h"
 
    !---------------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5282)
@@ -10,4 +10,5 @@
   !             vQ..A=Cp T + L * ...
 
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE IOIPSL
@@ -27,5 +28,4 @@
 
 
-  include "iniprint.h"
 
   !====================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5282)
@@ -68,8 +68,8 @@
     CALL allocate_u(dqfi,llm,nqtot,d)
     CALL allocate_u(dpfi,d)
-  
+
   END SUBROUTINE call_calfis_allocate
-  
-  
+
+
   SUBROUTINE call_calfis(itau,lafin,ucov_dyn,vcov_dyn,teta_dyn,masse_dyn,ps_dyn, &
                          phis_dyn,q_dyn,flxw_dyn)
@@ -94,7 +94,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS, CPPKEY_DEBUGIO
   USE strings_mod, ONLY: int2str
-  
+  USE iniprint_mod_h
   IMPLICIT NONE
-    INCLUDE "iniprint.h"
 
     INTEGER,INTENT(IN) :: itau ! (time) iteration step number
Index: LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE conf_gcm( tapedef, etatinit )
 
+  USE iniprint_mod_h
   USE comdissnew_mod_h
   USE control_mod
@@ -44,5 +45,4 @@
 
 
-  include "iniprint.h"
 
   !   local:
Index: LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5282)
@@ -6,4 +6,5 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE parallel_lmdz
@@ -31,7 +32,5 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5282)
@@ -27,9 +27,8 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comgeom_mod_h
+  USE iniprint_mod_h
   IMPLICIT NONE
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom          !--- FILE NAME
@@ -180,12 +179,11 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE iniprint_mod_h
 IMPLICIT NONE
 
 
-  include "description.h"
-  include "iniprint.h"
-!===============================================================================
+  !===============================================================================
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN) :: fichnom              !-- FILE NAME
Index: LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5282)
@@ -4,4 +4,5 @@
 !=======================================================================
 SUBROUTINE friction_loc(ucov,vcov,pdt)
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE parallel_lmdz
@@ -27,5 +28,4 @@
 
 
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5282)
@@ -13,4 +13,5 @@
 !  USE mod_interface_dyn_phys, ONLY: init_interface_dyn_phys
 !#endif
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE comdissnew_mod_h
@@ -62,6 +63,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "tracstoke.h"
 
@@ -122,5 +121,4 @@
   abort_message = 'last timestep reached'
   modname = 'gcm'
-  descript = 'Run GCM LMDZ'
   lafin    = .FALSE.
   dynhist_file = 'dyn_hist'
Index: LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5282)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
@@ -39,5 +40,4 @@
 
   include "academic.h"
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5282)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
 
@@ -50,7 +51,4 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-
   !   Arguments
   !
Index: LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5282)
@@ -7,5 +7,6 @@
 
   ! This routine needs IOIPSL
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
 
@@ -50,7 +51,4 @@
   !   Declarations
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5282)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE IOIPSL
 
@@ -47,7 +48,4 @@
   !   Declarations
 
-
-  include "description.h"
-  include "iniprint.h"
 
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5282)
@@ -5,4 +5,5 @@
         (  nq,vcovm1,ucovm1,tetam1,psm1,massem1, &
         dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis) !,finvmaold)
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE parallel_lmdz
@@ -40,5 +41,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5282)
@@ -2,5 +2,6 @@
         masse0,phis0,q0,time_0)
 
-   USE comgeom_mod_h
+   USE iniprint_mod_h
+  USE comgeom_mod_h
   USE comdissnew_mod_h
    USE misc_mod
@@ -77,6 +78,4 @@
   !   Declarations:
   !   -------------
-  include "description.h"
-  include "iniprint.h"
   include "academic.h"
 
Index: LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5282)
@@ -83,5 +83,6 @@
  
     subroutine init_parallel
-    USE vampir
+    USE iniprint_mod_h
+      USE vampir
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -91,5 +92,4 @@
 
 
-      INCLUDE "iniprint.h"
 
       integer :: ierr
@@ -648,4 +648,5 @@
 
     subroutine Gather_Field(Field,ij,ll,rank)
+    USE iniprint_mod_h
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -655,5 +656,4 @@
 
 
-    INCLUDE "iniprint.h"
       INTEGER :: ij,ll,rank
       REAL, dimension(ij,ll) :: Field
Index: LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5282)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE qminimum_loc( q,nqtot,deltap )
+  USE iniprint_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY: niso, ntiso, iqIsoPha, tracers, addPhase, &
@@ -17,5 +18,4 @@
 
 
-  include "iniprint.h"
   !
   INTEGER :: nqtot ! CRisi: on remplace nq par nqtot
Index: LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5282)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE parallel_lmdz
@@ -41,5 +42,4 @@
 
 
-  include "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5282)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE comdissipn_mod_h
@@ -58,5 +59,4 @@
 
 
-  INCLUDE "iniprint.h"
 
   !   Arguments:
Index: LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5282)
@@ -13,4 +13,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi                 &
@@ -23,5 +24,4 @@
 
 
-  include "iniprint.h"
   !
   !
@@ -887,4 +887,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE parallel_lmdz
   USE vlz_mod
@@ -899,5 +900,4 @@
 
 
-  include "iniprint.h"
   !
   !
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5282)
@@ -422,4 +422,5 @@
   !
   !   --------------------------------------------------------------------
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE parallel_lmdz
@@ -434,5 +435,4 @@
 
 
-  include "iniprint.h"
   !
   !
Index: LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5282)
@@ -5,4 +5,5 @@
      &                           masse,ps,phis)
 
+      USE iniprint_mod_h
       USE comgeom_mod_h
       USE lmdz_xios
@@ -40,8 +41,5 @@
 
 
-      include "description.h"
-      include "iniprint.h"
-
-!
+      !
 !   Arguments
 !
